Page MenuHomePhabricator

test bot is unable to login on wikipedia:en
Closed, ResolvedPublic

Description

Test site.randompages() continuation. ... ok
657
WARNING: No user is logged in on site wikipedia:en
658
skipped 'SiteSysopTestCase: Not able to login to wikipedia:en'
659
WARNING: No user is logged in on site wikipedia:en
660
skipped 'SiteUserTestCase: Not able to login to wikipedia:en'
661
WARNING: No user is logged in on site wikipedia:en
662
skipped 'SiteWatchlistRevsTestCase: Not able to login to wikipedia:en'

Event Timeline

Xqt created this task.Feb 12 2020, 1:25 PM
Restricted Application added a project: Pywikibot. · View Herald TranscriptFeb 12 2020, 1:25 PM
Restricted Application added subscribers: pywikibot-bugs-list, Aklapper. · View Herald Transcript
Xqt triaged this task as High priority.Feb 12 2020, 1:25 PM
Dvorapa added a comment.EditedFeb 12 2020, 11:12 PM

Not only en:wikipedia, also metawiki and testwikidata

Dvorapa added a comment.EditedFeb 28 2020, 10:37 AM

This seems like an issue with aspects.py. The test finds out it is not logged in, it tries to log in successfully, but still is skipped as "not able to login"

It seems it occurs mainly on AppVeyor. I checked credentials in AppVeyor settings, they are correct. But it seems AppVeyor ignores settings currently: https://help.appveyor.com/discussions/problems/26674-project-settings-are-not-working

Change 586106 had a related patch set uploaded (by Dvorapa; owner: Dvorapa):
[pywikibot/core@master] [test] Allow user tests on AppVeyor

https://gerrit.wikimedia.org/r/586106

Change 586106 merged by jenkins-bot:
[pywikibot/core@master] [test] Allow user tests on AppVeyor

https://gerrit.wikimedia.org/r/586106

Dvorapa closed this task as Resolved.Apr 5 2020, 4:49 PM
Dvorapa claimed this task.
Dvorapa lowered the priority of this task from High to Medium.
Dvorapa moved this task from Upstream issues to Framework on the Pywikibot-tests board.
Dvorapa removed a project: Patch-For-Review.

Might be related: T244635

Dvorapa closed this task as Resolved.Apr 26 2020, 9:27 AM

It's a different issue, I create a new task for it